ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.CmmToLlvm.Version

Synopsis

- newtype LlvmVersion = LlvmVersion {
  - llvmVersionNE :: NonEmpty Int
  }
- supportedLlvmVersionLowerBound :: LlvmVersion
- supportedLlvmVersionUpperBound :: LlvmVersion
- parseLlvmVersion :: String -> Maybe LlvmVersion
- llvmVersionSupported :: LlvmVersion -> Bool
- llvmVersionStr :: LlvmVersion -> String
- llvmVersionList :: LlvmVersion -> [Int]

# Documentation

newtype LlvmVersion #

Constructors

LlvmVersion |

Fields

- llvmVersionNE :: NonEmpty Int

#### Instances

Instances details

Eq LlvmVersion # |
Instance details Defined in GHC.CmmToLlvm.Version.Type Methods (==) :: LlvmVersion -> LlvmVersion -> Bool # (/=) :: LlvmVersion -> LlvmVersion -> Bool #
Ord LlvmVersion # |
Instance details Defined in GHC.CmmToLlvm.Version.Type Methods compare :: LlvmVersion -> LlvmVersion -> Ordering # (<) :: LlvmVersion -> LlvmVersion -> Bool # (<=) :: LlvmVersion -> LlvmVersion -> Bool # (>) :: LlvmVersion -> LlvmVersion -> Bool # (>=) :: LlvmVersion -> LlvmVersion -> Bool # max :: LlvmVersion -> LlvmVersion -> LlvmVersion # min :: LlvmVersion -> LlvmVersion -> LlvmVersion #

supportedLlvmVersionLowerBound :: LlvmVersion #

The (inclusive) lower bound on the LLVM Version that is currently supported.

supportedLlvmVersionUpperBound :: LlvmVersion #

The (not-inclusive) upper bound bound on the LLVM Version that is currently supported.

parseLlvmVersion :: String -> Maybe LlvmVersion #

llvmVersionSupported :: LlvmVersion -> Bool #

llvmVersionStr :: LlvmVersion -> String #

llvmVersionList :: LlvmVersion -> [Int] #